#pragma once

#include "widget.hpp"
#include "icosphere.hpp"
#include "orbiter.hpp"

class OrbiterVisualizer
{
    public:
        OrbiterVisualizer(Orbiter& orbiter, GLuint sphereShaderProgram, GLuint widgetShaderProgram);
        ~OrbiterVisualizer() = default;

        void render(float time);

    private:
        void updateModelMatrix();

        Orbiter& _orbiter;
        Icosphere _sphere;
        Widget _widget;
};
